cURL
curl --request POST \
--url https://api.smartbills.io/v1/businesses/{businessId}/locations \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"stateCode": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"businessCategoryCode": "<string>",
"currency": "<string>",
"timezone": "<string>",
"phoneNumber": "<string>",
"website": "<string>",
"facebookUrl": "<string>",
"instagramUsername": "<string>",
"twitterUsername": "<string>",
"isActive": true,
"locale": "<string>",
"email": "<string>",
"logo": "<string>",
"images": [
{
"fileName": "<string>",
"contentType": "<string>",
"stream": "<string>",
"base64": "<string>",
"url": "<string>",
"file": "<string>",
"note": "<string>",
"altText": "<string>"
}
]
}
'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/locations"
payload = {
"name": "<string>",
"description": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"stateCode": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"businessCategoryCode": "<string>",
"currency": "<string>",
"timezone": "<string>",
"phoneNumber": "<string>",
"website": "<string>",
"facebookUrl": "<string>",
"instagramUsername": "<string>",
"twitterUsername": "<string>",
"isActive": True,
"locale": "<string>",
"email": "<string>",
"logo": "<string>",
"images": [
{
"fileName": "<string>",
"contentType": "<string>",
"stream": "<string>",
"base64": "<string>",
"url": "<string>",
"file": "<string>",
"note": "<string>",
"altText": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
stateCode: '<string>',
countryCode: '<string>',
postalCode: '<string>'
},
businessCategoryCode: '<string>',
currency: '<string>',
timezone: '<string>',
phoneNumber: '<string>',
website: '<string>',
facebookUrl: '<string>',
instagramUsername: '<string>',
twitterUsername: '<string>',
isActive: true,
locale: '<string>',
email: '<string>',
logo: '<string>',
images: [
{
fileName: '<string>',
contentType: '<string>',
stream: '<string>',
base64: '<string>',
url: '<string>',
file: '<string>',
note: '<string>',
altText: '<string>'
}
]
})
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"logo": "<string>",
"isActive": true,
"name": "<string>",
"description": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"location": {
"longitude": 123,
"latitude": 123
},
"googlePlaceId": "<string>",
"formattedAddress": "<string>"
},
"phoneNumber": "<string>",
"locale": "<string>",
"currency": "<string>",
"facebookUrl": "<string>",
"twitterUsername": "<string>",
"instagramUsername": "<string>",
"businessCategoryCode": "<string>",
"timezone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Locations
Post v1businesses locations
POST
/
v1
/
businesses
/
{businessId}
/
locations
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I